{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous" />

    <title>Note List Card</title>
    <style>
      body {
        background-image: url("https://4kwallpapers.com/images/walls/thumbs_3t/1455.jpg");
        background-size: cover;
      }
      .main_content {
        padding-left: 100px;
        padding-right: 130px;
        font-family: Arial, sans-serif;
        color: rgb(255, 255, 255);
        height: 800px;
        margin-top: 50px;
      }
      .box {
        display: flex;
        flex-direction: row;
        justify-content: center center;
        flex-wrap: wrap;
      }
      .wrapper {
        height: 150px;
        width: 350px;
        background-color: #0E365C;
        position: relative;
        display: flex;
        justify-content: center;
        z-index: 0;
        margin-right: 10px;
        margin-left: 10px;
        margin-top: 70px;
        margin-bottom: 30px;
      }
      .envelope {
        position:absolute;
        height: 150px;
        width: 350px;
        top: 0;
        left: 0;
        z-index: 3;
      }
      .envelope_lid{
        width: 350px;
        height: 45px;
        position:unset;
        transform: translateY(-45px);
      }
      .to_from{
        width: 290px;
        height: 60px;
        position: absolute;
        top: 80px;
        left: 30px;
        z-index: 4;       
      }
      .to_from p{
        text-align: left;
        font-size: 18px;
        font-weight: bold;
        color: #3b4049;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        margin-bottom: 0;
      }
      .letter {
        position: absolute;
        top: 0;
        width: 90%;
        height: 100%;
        transform: translateY(-15px);
        background-color: white;
        border-radius: 15px;
        z-index: 2;
        transition: 0.5s;
        border-top: 15px solid white;
        border-left: 25px solid white;
        border-right: 25px solid white;
      }
      .letter p {
        text-align: left;
        font-size: 20px;
        font-weight: bold;
        color: #3b4049;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 1;
        -webkit-box-orient: vertical;
        margin-bottom: 0;
      }
      .hidden {
        opacity: 0%;
      }
      .hidden p {
        text-align: left;
        font-size: 18px;
        font-weight: normal;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        margin-bottom: 0;
      }
      .wrapper:hover .letter {
        transform: translateY(-90px);
      }
      .wrapper:hover .letter .hidden {
        opacity: 100%;
        transition: opacity 0.5s;
      }
    </style>
  </head>

  <body>

    <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: rgba(0, 0, 0, 0.5)">
      <div class="container-fluid">
        
        <a class="navbar-brand" href="/lab-1">
          <img src="{% static 'images/logo.png' %}" alt="" width="30" height="24">
          MYMY's Site</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4">Note Table</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active" aria-current="page" href="/lab-4/note-list">Note Card</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" aria-current="page" href="/lab-4/add-note">Add Note</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    <div class="main_content">
      <div class="box">
        {% for i in notes %}
        <a class="btn" href="{% url 'notes_detail' i.id %}">
        <div class="wrapper">
          <div class="to_from">
            <p>To &emsp; : {{ i.note_to }}</p>
            <p>From : {{ i.note_from }}</p>
          </div>
            <div class="letter">
              <p>{{ i.note_title }}</p>
            <div class="hidden">
              <p>{{ i.note_msg }}</p>
            </div>
          </div>
          <img class="envelope_lid" src="{% static 'images/lid_envelope.png' %}">
          <img class="envelope" src="{% static 'images/front_envelope.png' %}">
        </div>
        </a>
        {% endfor %}
      </div>
        
      </div>
    </div>
  </body>
</html>
